Bug 78509 - FILEOPEN: MSO ODT - Hyperlink character style incorrectly loaded into one style when actually using another
Summary: FILEOPEN: MSO ODT - Hyperlink character style incorrectly loaded into one sty...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: odf
Keywords: filter:odt
Depends on:
Blocks: ODF-import Hyperlink Writer-Styles-Character
  Show dependency treegraph
 
Reported: 2014-05-09 23:59 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-02-15 03:46 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
word 2013 odt file (44.22 KB, application/vnd.oasis.opendocument.text)
2014-05-09 23:59 UTC, Yousuf Philips (jay) (retired)
Details
how the link shows in word 2013, LibO and calligra words (155.00 KB, image/jpeg)
2014-05-10 00:00 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-09 23:59:50 UTC
Created attachment 98794 [details]
word 2013 odt file

I download the .docx file found at < http://download.microsoft.com/documents/uk/partner/publicsector/DraftMicrosoftResponsetoGovernment.docx > and opened it in word 2013 and saved it as an .odt file. I then opened the file in LibO and links found on pages 14, 15, and 17 are in dark blue.

This was tested in Linux Mint on the last releases from 3.6 to 4.2 and 4.3 alpha. It shows in the regular link blue color in calligra words.
Comment 1 Yousuf Philips (jay) (retired) 2014-05-10 00:00:41 UTC
Created attachment 98795 [details]
how the link shows in word 2013, LibO and calligra words
Comment 2 tommy27 2014-05-10 04:26:08 UTC
Ok, this is counterpart of Bug 78514.

I confirm the links in the .odt saved by Word look darker than usual when opened in LibO 4.2.3.3 and AOO 4.1.0

However if you save the original .docx is .odt using LibO there's no color change.

as said in the other report I'm not sure this is LibO fault...
maybe the bug is on MS Word side which fails to correctly save the links color in the .odt format.
Comment 3 Yousuf Philips (jay) (retired) 2014-05-10 09:19:51 UTC
(In reply to comment #2)
> as said in the other report I'm not sure this is LibO fault...
> maybe the bug is on MS Word side which fails to correctly save the links
> color in the .odt format.

Yes as Calligra shows it correctly, i believe it maybe a ms word problem, but just incase, i want to bring it to your attention, as it was related to the other bug. :)
Comment 4 Jorendc 2014-07-19 11:34:22 UTC
I'll mark this one as NEW due the fact I can reproduce this tested using LibreOffice 4.3.0.3.
I'm also not sure this is a OUR issue or the issue of calligra and word. But as far I can see it's 2 against 1, bigger 'chance' it's libreoffice' fault :-).

Kind regards,
Joren
Comment 5 QA Administrators 2015-09-04 02:48:44 UTC Comment hidden (obsolete)
Comment 6 Robinson Tryon (qubit) 2015-12-10 01:42:48 UTC Comment hidden (obsolete)
Comment 7 Oliver Specht (CIB) 2016-04-28 10:51:20 UTC
The related auto style in the odt contains fo:color="#0000FF" which is the same setting as in the docx file: <w:color w:val="0000FF"/>

This is not a bug.
Comment 8 Yousuf Philips (jay) (retired) 2016-04-28 17:06:46 UTC
Reopening as this is a LO bug that is also in AOO and is broken somewhere at the import level.

So the hyperlinks claim to be assigned to the "Default Paragraph Font > Hyperlink" character style which is "Blue 3" (#0000ff), but in actuality they are assigned to the "Internet Link" character style which is "Sky Blue 6" (#000080).

Sample ODF code

<text:span text:style-name="T5">http://blogs.msdn.com/b/officeinteroperability/archive/2013/04/04/microsoft-support-for-pdf.aspx</text:span>

<style:style style:name="T5" style:parent-style-name="Hyperlink" style:family="text"><style:text-properties style:font-size-complex="12pt" /></style:style>

<style:style style:name="Hyperlink" style:display-name="Hyperlink" style:family="text" style:parent-style-name="DefaultParagraphFont"><style:text-properties fo:color="#0000FF" style:text-underline-type="single" style:text-underline-style="solid" style:text-underline-width="auto" style:text-underline-mode="continuous" style:text-underline-color="font-color" /></style:style>

<style:style style:name="DefaultParagraphFont" style:display-name="Default Paragraph Font" style:family="text" />
Comment 9 QA Administrators 2017-05-22 13:40:53 UTC Comment hidden (obsolete)
Comment 10 Yousuf Philips (jay) (retired) 2017-09-30 16:55:08 UTC
Still repo.

Version: 6.0.0.0.alpha0+
Build ID: 13df3777e4b6ff7537692b396be67a5fd2b9b001 [2017-09-29]
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 11 QA Administrators 2019-02-15 03:46:41 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug